package com.sd.business.controller.order;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderVo;
import com.sd.business.entity.order.dto.OrderSelectDto;
import com.sd.business.entity.order.dto.OrderDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.order.OrderService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;

/**
 * <p>
 * 订单 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
@RestController
@RequestMapping("/order")
public class OrderController {

    @Autowired
    private OrderService orderService;

    /**
     * 订单列表
     */
    @PostMapping("/list")
    public List<OrderVo> list(@RequestBody OrderSelectDto dto) {
        return orderService.getList(dto);
    }

    /**
     * 订单分页
     */
    @PostMapping("/page")
    public Page<OrderVo> page(@RequestBody OrderSelectDto dto) {
        return orderService.getPage(dto);
    }

    /**
     * 订单明细
     */
    @PostMapping("/detail")
    public OrderVo detail(@RequestBody BaseSelectDto dto) {
        return orderService.detail(dto.getId());
    }

    /**
     * 订单新增
     */
    @PostMapping("/add")
    public void add(@RequestBody OrderDto orderDto) {
        orderService.add(orderDto);
    }

    /**
     * 订单编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody OrderDto orderDto) {
        orderService.edit(orderDto);
    }

    /**
     * 订单删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        orderService.delete(dto.getId());
    }

}
