package com.sd.business.service.sku;

import com.sd.business.entity.sku.po.SkuClassify;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.sku.vo.SkuClassifyVo;
import com.sd.business.entity.sku.dto.SkuClassifySelectDto;
import com.sd.business.entity.sku.dto.SkuClassifyDto;

import java.util.List;

/**
 * <p>
 * sku分类 服务类
 * </p>
 *
 * @author 
 * @since 2023-07-03
 */
public interface SkuClassifyService extends BaseService<SkuClassify> {

    /**
     * sku分类列表
     */
    List<SkuClassifyVo> getList();

    /**
     * sku分类分页
     */
    Page<SkuClassifyVo> getPage(SkuClassifySelectDto dto);

    /**
     * sku分类明细
     */
    SkuClassifyVo detail(Long id);

    /**
     * sku分类新增
     */
    void add(SkuClassifyDto skuClassifyDto);

    /**
     * sku分类编辑
     */
    void edit(SkuClassifyDto skuClassifyDto);

    /**
     * sku分类删除
     */
    void delete(Long id);

    Boolean saveBatch(List<SkuClassifyVo> skuClassifyDtos);

}
