package com.sd.business.service.sku.impl;

import com.sd.business.entity.sku.po.Sku;
import com.sd.business.mapper.sku.SkuMapper;
import com.sd.business.service.sku.SkuService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.sku.vo.SkuVo;
import com.sd.business.entity.sku.dto.SkuSelectDto;
import com.ruoyi.common.utils.wrapper.IWrapper;
import com.sd.business.entity.sku.dto.SkuDto;
import cn.hutool.core.bean.BeanUtil;


/**
 * <p>
 * sku 服务实现类
 * </p>
 *
 * @author 
 * @since 2023-07-03
 */
@Service
public class SkuServiceImpl extends ServiceImpl<SkuMapper, Sku> implements SkuService {

    @Override
    public Page<SkuVo> getPage(SkuSelectDto dto) {
        IWrapper<Sku> wrapper = getWrapper();
        wrapper.orderByDesc("s", Sku::getId);
        Page<SkuVo> page = this.baseMapper.getPage(dto.getPage(), wrapper);
        return page;
    }

    @Override
    public SkuVo detail(Long id) {
        Sku Sku = this.getById(id);
        SkuVo result = BeanUtil.toBean(Sku, SkuVo.class);
        return result;
    }

    @Override
    public void add(SkuDto skuDto) {
        this.save(skuDto);
    }

    @Override
    public void edit(SkuDto skuDto) {
        this.updateById(skuDto);
    }

    @Override
    public void delete(Long id) {
        this.removeById(id);
    }

}
