package com.sd.wln.api;

/**
 * 万里牛常量
 */
public class WanliAPIConstant {

    private static final String PREFIX = "https://open-api.hupun.com/api/";

    /**
     * 密钥相关
     */
    public static class BASIC_KEY {
        /**
         * 生产密钥key
         */
        public static final String APP_KEY = "3923521627";
//        /**
//         * 测试密钥key
//         */
//        public static final String APP_KEY = "3823532979";

        /**
         * 生产密钥key
         */
        public static final String APP_SECRET = "ee6f90783e1c3ba72098137e9a6e8ec3";

//        /**
//         * 测试密钥key
//         */
//        public static final String APP_SECRET = "ea5b29320cb3d15a9883c1fa4654bd02";

    }

    /**
     * 文件相关API
     */
    public static class FILE_API {
        //批量创建文件夹
        public static final String createBatchFile =  "http://192.168.2.201:8125/saas/file/operationFile/insertMkDir";

        //创建文件夹
        public static final String insertFolder =  "http://192.168.2.201:8125/saas/file/operationFile/insertFolder";

        //删除文件夹
        public static final String deleteFile =  "http://192.168.2.201:8125/saas/file/operationFile/deleteFile";

        //判断路径下是否存在文件夹或者文件
        public static final String isNoFile =  "http://192.168.2.201:8125/saas/file/operationFile/isNoFile";

        //读取共享文件夹下文件详情
        public static final String getFileDetails =  "http://192.168.2.201:8125/saas/file/operationFile/getFileDetails";

        //读取共享文件夹下文件名称
        public static final String getFileName =  "http://192.168.2.201:8125/saas/file/operationFile/getFileName";

        //下载文件到指定文件夹
        public static final String  downloadFileToFolder =  "http://192.168.2.201:8125/saas/file/operationFile/downloadFileToFolder";

        //判断路径下是否存在文件夹或者文件
        public static final String checkFile =  "http://192.168.2.201:8125/saas/file/operationFile/isNoFile";

        //实现文件夹的复制功能
        public static final String copeFile =  "http://192.168.2.201:8125/saas/file/operationFile/copeFile";
    }
    /**
     * 销售相关API
     */
    public static class MARKET_API {
        /**
         * 查询订单；任意查询时间，查询范围与当前时间对比不能超过3个月；
         * 任意查询时间，单次查询的开始时间与结束时间不能超过7天；
         * 非bill_code查询，其他查询条件时间参数不能为空；
         * 查询范围返回订单条数不能超过10000，如果超过需要缩小范围再次查询；
         * 接口涉及客户敏感信息字段一律返回为空处理.对外开放
         */
        public static final String getTrades = PREFIX + "erp/opentrade/list/trades";

        /**
         * 描述：查询万里牛系统售后单；查询维度不能超过当前时间三个月，
         * 接口仅支持返回七天的数据；bill_code与时间参数不能同时为空；
         * 接口涉及客户敏感信息字段一律返回为空处理.对外开放
         */
        public static final String getReturnOrder = PREFIX + "erp/open/return/order/list";
    }


    /**
     * 商品相关API
     */
    public static class GOODS_API {
        /**
         * 获取商品分类
         */
        public static final String getGoodsCatagory = PREFIX + "/erp/goods/catagory/query";

        /**
         * 查询商品规格列表,spec_code,item_code,modify_time,bar_code至少一个不能为空——对外开放
         */
        public static final String getGoods = PREFIX + "erp/goods/spec/open/query/goodswithspeclist";

        /**
         * 库存同步,将万里牛ERP的库存覆盖同步(一次性支持80个sku);
         */
        public static final String inventorySyn = PREFIX + "erp/open/inventory/syn";
    }
    /**
     * 基础信息API
     */
    public static class BASIC_API {
        /**
         * 查询商品规格集合编码,其中spec_code,item_code,modify_time,bar_code不能同时为空——对外开放
         */
        public static final String getGoodsSpec = PREFIX + "erp/goods/spec/open/query";

        /**
         * 获取商品对应关系,以规格列表形式返回;shop_name和shop_nick不能同时为空
         */
        public static final String getGoodsRelation = PREFIX + "erp/goods/item/correspondence";
    }

}
